View Issue Details

IDProjectCategoryView StatusLast Update
09625Bug reportsPrint Viewpublic2015-06-12 12:41
Reporterpatrizi Assigned Toaesteban  
PriorityhighSeverityminor 
Status closedResolutionfixed 
Product Version2.05+ 
Summary09625: Missing the "Group Description" in Print/Export PDF
DescriptionIn the Print/Export PDF files, the "Group Description" is missing, the text is not print.

Additional InformationLook at survey structure, in Question Groups you can choice any element.
The "Title" of Group is ever printed in PDF exports.
The "Description" of Groups is not printed in PDF exports.

In attachment file there are both .lss and .lsa files to test this issue.



TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 2.05+ Build 150413
I will donate to the project if issue is resolvedNo
BrowserFireFox, IE, Chrome
Database & DB-Version5.5.41-0+wheezy1-log
Server OS (if known)Linux 3.16.0-4-amd64 Debian 3.16.7 x86_64
Webserver software & version (if known)Apache 2.4.10 (Debian)
PHP Version5.6.7-1

Activities

patrizi

patrizi

2015-05-07 12:06

reporter  

LimeSurvey_PDF_issue.zip (11,801 bytes)
aesteban

aesteban

2015-05-31 01:20

developer   ~32268

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=15209
aesteban

aesteban

2015-05-31 01:22

developer   ~32269

Fix committed to 2.06 branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=15210
aesteban

aesteban

2015-05-31 01:23

developer   ~32270

Fixed in HTML answer table too.
c_schmitz

c_schmitz

2015-06-12 12:41

administrator   ~32320

2.06 Build 150612 released

Related Changesets

LimeSurvey: master cdb60e73

2015-05-30 23:20:09

aesteban

Details Diff
Fixed issue 09625: Missing the Group Description in Print/Export PDF Affected Issues
09625
mod - application/controllers/PrintanswersController.php Diff File
mod - application/helpers/common_helper.php Diff File
mod - application/libraries/admin/pdf.php Diff File
mod - application/models/QuestionGroup.php Diff File

LimeSurvey: 2.06 13b5f753

2015-05-30 23:20:09

aesteban

Details Diff
Fixed issue 09625: Missing the Group Description in Print/Export PDF Affected Issues
09625
mod - application/controllers/PrintanswersController.php Diff File
mod - application/helpers/common_helper.php Diff File
mod - application/libraries/admin/pdf.php Diff File
mod - application/models/QuestionGroup.php Diff File

Issue History

Date Modified Username Field Change
2015-05-07 12:06 patrizi New Issue
2015-05-07 12:06 patrizi File Added: LimeSurvey_PDF_issue.zip
2015-05-12 01:23 aesteban Assigned To => aesteban
2015-05-12 01:23 aesteban Status new => assigned
2015-05-31 01:20 aesteban Changeset attached => LimeSurvey master cdb60e73
2015-05-31 01:20 aesteban Note Added: 32268
2015-05-31 01:20 aesteban Resolution open => fixed
2015-05-31 01:22 aesteban Changeset attached => LimeSurvey 2.06 13b5f753
2015-05-31 01:22 aesteban Note Added: 32269
2015-05-31 01:23 aesteban Note Added: 32270
2015-05-31 01:23 aesteban Status assigned => resolved
2015-06-12 12:41 c_schmitz Note Added: 32320
2015-06-12 12:41 c_schmitz Status resolved => closed